> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates Bulk Payout



## OpenAPI

````yaml openapi.json patch /payout/bulk/item
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/bulk/item:
    parameters: []
    patch:
      tags:
        - Payout
        - Bulk Payout
      summary: Updates Bulk Payout
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                bulkPayoutItemId:
                  type: string
                amount:
                  type: integer
                bankCode:
                  type: string
                  format: color
                accountNumber:
                  type: string
                  format: utc-millisec
                narration:
                  type: string
                phoneNumber:
                  type: string
                  format: utc-millisec
            example:
              bulkPayoutItemId: 8bfba541-6370-478a-b195-ae4c1e87b62c
              amount: 4000
              bankCode: '000013'
              accountNumber: '8132338203'
              narration: Foodstuff
              phoneNumber: '08128377463'
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            ETag:
              schema:
                type: string
              example: W/"2d41-KbSUllwWrcCG/Cg3VPkLT7opBUo"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Date:
              schema:
                type: string
              example: Tue, 24 Sep 2024 21:50:22 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          description: Bulk payout records - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      page:
                        type: integer
                      size:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            accountName:
                              type: string
                            accountNumber:
                              type: string
                              format: utc-millisec
                            bankCode:
                              type: string
                              format: color
                            bankName:
                              type: string
                            reason:
                              nullable: true
                            isValid:
                              type: boolean
                            createdAt:
                              type: string
                              format: date-time
              example:
                status: true
                message: Operation is successful
                data:
                  page: 1
                  size: 50
                  totalRecords: 450
                  totalPages: 9
                  records:
                    - id: ee5b4853-d501-43da-a838-b306b7f59152
                      accountName: SIMI MICHELLE
                      accountNumber: '9794914879'
                      bankCode: '090362'
                      bankName: MOLUSI MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: f8767989-7c57-4a54-b2fc-88985c7f3662
                      accountName: SIMI MICHELLE
                      accountNumber: '8213623114'
                      bankCode: '000027'
                      bankName: GLOBUS BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: ae944270-a4a5-49ab-9a73-2f7535d29009
                      accountName: SIMI MICHELLE
                      accountNumber: '1014409666'
                      bankCode: '090159'
                      bankName: CREDIT AFRIQUE MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: d00abf98-b189-4380-9aa8-c56676cbac26
                      accountName: SIMI MICHELLE
                      accountNumber: '3453876519'
                      bankCode: '090281'
                      bankName: MINT-FINEX MFB
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: d62da530-a4bd-4ca1-9f7e-e009f08d35bc
                      accountName: SIMI MICHELLE
                      accountNumber: '4282821684'
                      bankCode: '100020'
                      bankName: MONEY BOX
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 7c3f9afe-a69b-4afa-b34c-bf45cd07f43d
                      accountName: SIMI MICHELLE
                      accountNumber: '6755180590'
                      bankCode: '090324'
                      bankName: IKENNE MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 231e8097-ffe3-429d-82b1-7bc842d174c5
                      accountName: SIMI MICHELLE
                      accountNumber: '1758172640'
                      bankCode: '090362'
                      bankName: MOLUSI MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 63c36e3c-02e1-41fe-b25a-ccd93645f958
                      accountName: SIMI MICHELLE
                      accountNumber: '1842709229'
                      bankCode: '070016'
                      bankName: INFINITY TRUST MORTGAGE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 80fba280-b43e-4617-8888-97704a2118b6
                      accountName: SIMI MICHELLE
                      accountNumber: '8881512253'
                      bankCode: '090324'
                      bankName: IKENNE MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: d77ef1a8-e36a-439d-adf3-2c85dd75b497
                      accountName: SIMI MICHELLE
                      accountNumber: '8113034421'
                      bankCode: '000007'
                      bankName: FIDELITY BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 9fe990c9-0215-43e8-a199-9047af5b9c69
                      accountName: SIMI MICHELLE
                      accountNumber: '6379630610'
                      bankCode: '090374'
                      bankName: COASTLINE MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 45a69f57-653c-4035-9244-be199844f6e0
                      accountName: SIMI MICHELLE
                      accountNumber: '0533931980'
                      bankCode: '090202'
                      bankName: ACCELEREX NETWORK LIMITED
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 98ce3510-a383-4e35-858f-40c54b4c1e35
                      accountName: SIMI MICHELLE
                      accountNumber: '3676919426'
                      bankCode: '090141'
                      bankName: CHIKUM MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 814396b5-acd1-4b04-8cc0-f72690f286cd
                      accountName: SIMI MICHELLE
                      accountNumber: '9155940546'
                      bankCode: '090299'
                      bankName: KONTAGORA MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 36bb6b86-a1c6-4286-a2fa-705f65023766
                      accountName: SIMI MICHELLE
                      accountNumber: '1070692811'
                      bankCode: '000007'
                      bankName: FIDELITY BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 27375afa-fee9-420e-aa82-f16a4c76bd7a
                      accountName: SIMI MICHELLE
                      accountNumber: '5218772044'
                      bankCode: '120002'
                      bankName: HOPEPSB
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 546d20b6-6081-49a8-b8fb-d03c84adc2c4
                      accountName: SIMI MICHELLE
                      accountNumber: '8680194856'
                      bankCode: '090280'
                      bankName: MEGAPRAISE MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: a9b18d44-47db-457a-9baf-5d8c9e590f83
                      accountName: SIMI MICHELLE
                      accountNumber: '8479102858'
                      bankCode: '090265'
                      bankName: LOVONUS MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 1d376b24-b3fe-45d4-b940-b1f5145baf44
                      accountName: SIMI MICHELLE
                      accountNumber: '2219273669'
                      bankCode: '090001'
                      bankName: ASO SAVINGS
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: a0ab9bd4-5f71-43b2-9e30-fe4771f2a386
                      accountName: SIMI MICHELLE
                      accountNumber: '2465245997'
                      bankCode: '090376'
                      bankName: APPLE MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 95ab3a89-70e5-45ce-8d0a-b719b4b31775
                      accountName: SIMI MICHELLE
                      accountNumber: '9707132292'
                      bankCode: '120002'
                      bankName: HOPEPSB
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: f9468194-c995-401d-883d-1d36d3a61785
                      accountName: SIMI MICHELLE
                      accountNumber: '8145789915'
                      bankCode: '090395'
                      bankName: BORGU  MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: a98dffa6-687b-4ee2-ac1f-c2f2f3de381b
                      accountName: SIMI MICHELLE
                      accountNumber: '7276065760'
                      bankCode: '090336'
                      bankName: BIPC MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: d78bad07-a386-4ef4-a1d3-fd04a87a4329
                      accountName: SIMI MICHELLE
                      accountNumber: '3380894725'
                      bankCode: '090332'
                      bankName: EVERGREEN MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: fd8a407b-56c7-4237-9337-2249e70960c3
                      accountName: SIMI MICHELLE
                      accountNumber: '4234594871'
                      bankCode: '000020'
                      bankName: HERITAGE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: a1adacc7-2b9c-4c24-a3fa-942b104574d1
                      accountName: SIMI MICHELLE
                      accountNumber: '7582650709'
                      bankCode: '090148'
                      bankName: BOWEN MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 46275ecb-0e11-4467-9080-d6a21ac68a9e
                      accountName: SIMI MICHELLE
                      accountNumber: '9371262673'
                      bankCode: '120001'
                      bankName: 9 PAYMENT SOLUTIONS BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: a93d66b4-59b4-4f1a-aee8-8d7edc95d464
                      accountName: SIMI MICHELLE
                      accountNumber: '5657894713'
                      bankCode: '090133'
                      bankName: AL-BARAKAH MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 310e8a5e-d695-4553-a056-156c923d493e
                      accountName: SIMI MICHELLE
                      accountNumber: '4783420964'
                      bankCode: '090195'
                      bankName: GROOMING MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 692c29ce-cc04-4fe0-86e4-e8987369e53e
                      accountName: SIMI MICHELLE
                      accountNumber: '4791338607'
                      bankCode: '090169'
                      bankName: ALPHA KAPITAL MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 83782181-f2c1-4ef9-8c95-f400018b3e2f
                      accountName: SIMI MICHELLE
                      accountNumber: '8379135140'
                      bankCode: '100024'
                      bankName: IMPERIAL HOMES MORTGAGE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: c1e5a263-7cd7-4190-b192-931ca8a83a77
                      accountName: SIMI MICHELLE
                      accountNumber: '4213385536'
                      bankCode: '090155'
                      bankName: ADVANS LA FAYETTE  MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 5ceb4ab9-f569-4a62-a690-86e005cc22a7
                      accountName: SIMI MICHELLE
                      accountNumber: '8116901598'
                      bankCode: '090294'
                      bankName: EAGLE FLIGHT MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: ad54c144-6603-41bb-8fd9-385ecf56867a
                      accountName: SIMI MICHELLE
                      accountNumber: '5842639903'
                      bankCode: '090111'
                      bankName: FINATRUST MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 0fda54b8-0cd8-4188-9362-f86bde6afcf5
                      accountName: SIMI MICHELLE
                      accountNumber: '2858863299'
                      bankCode: '110003'
                      bankName: INTERSWITCH LIMITED
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 929bb00f-fa89-4e4f-a25a-398ed655816e
                      accountName: SIMI MICHELLE
                      accountNumber: '5045376443'
                      bankCode: '000016'
                      bankName: FIRST BANK OF NIGERIA
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 30ce8ca3-0ace-4544-961c-972b10c5f68e
                      accountName: SIMI MICHELLE
                      accountNumber: '4042943054'
                      bankCode: '100035'
                      bankName: M36
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 0d140516-f119-422d-a994-580bda0d902c
                      accountName: SIMI MICHELLE
                      accountNumber: '5234666140'
                      bankCode: '090145'
                      bankName: FULLRANGE MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 953130ef-9207-49b8-9fa7-13a892e987e4
                      accountName: SIMI MICHELLE
                      accountNumber: '4863742079'
                      bankCode: '090362'
                      bankName: MOLUSI MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: fc994926-fb2e-4398-adbc-8ac7275a55ae
                      accountName: SIMI MICHELLE
                      accountNumber: '8588911446'
                      bankCode: '090299'
                      bankName: KONTAGORA MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 41bb28cb-4ce3-4184-bf33-28211f2bfc8a
                      accountName: SIMI MICHELLE
                      accountNumber: '6192326268'
                      bankCode: '100026'
                      bankName: CARBON
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 3d7614ab-8913-45be-8b3c-96e4d6da2d6d
                      accountName: SIMI MICHELLE
                      accountNumber: '5359014661'
                      bankCode: '090298'
                      bankName: FEDPOLY NASARAWA MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 3e77d78a-dc91-45e7-9ae9-87d0ff01fa46
                      accountName: SIMI MICHELLE
                      accountNumber: '3016375138'
                      bankCode: '070017'
                      bankName: HAGGAI MORTGAGE BANK LIMITED
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: d264c3bc-bc3d-450d-85f6-07a32eb35565
                      accountName: SIMI MICHELLE
                      accountNumber: '8321099994'
                      bankCode: '090179'
                      bankName: FAST MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 14928162-1867-4f78-9182-487f156a9f83
                      accountName: SIMI MICHELLE
                      accountNumber: '0537634141'
                      bankCode: '090332'
                      bankName: EVERGREEN MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 2d7735ac-6cc6-4082-89f4-0889285ecd81
                      accountName: SIMI MICHELLE
                      accountNumber: '4846115652'
                      bankCode: '090195'
                      bankName: GROOMING MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 1fda6749-145a-4356-aac6-7de105f50e4a
                      accountName: SIMI MICHELLE
                      accountNumber: '0301650567'
                      bankCode: '090145'
                      bankName: FULLRANGE MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: cad9a7ab-a4c2-48ae-9e5d-0728cfafd2ec
                      accountName: SIMI MICHELLE
                      accountNumber: '6254861105'
                      bankCode: '090192'
                      bankName: MIDLAND MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 953987f6-1b38-4643-a6ff-88b553abda8e
                      accountName: SIMI MICHELLE
                      accountNumber: '9144152045'
                      bankCode: '090264'
                      bankName: AUCHI MICROFINANCE BANK
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
                    - id: 03639395-a752-4fc9-abb3-a64e401ad0af
                      accountName: SIMI MICHELLE
                      accountNumber: '5634870918'
                      bankCode: '070006'
                      bankName: COVENANT MFB
                      reason: null
                      isValid: true
                      createdAt: '2024-09-24T21:48:31.403Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````